Manage Loans
curl --request GET \
--url https://{tenant}.fincode.software/api/v1/services/user/manage-loans/{customerId}import requests
url = "https://{tenant}.fincode.software/api/v1/services/user/manage-loans/{customerId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{tenant}.fincode.software/api/v1/services/user/manage-loans/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Endpoints
Manage Loans
Retrieves active loans that are due for repayment.
GET
/
user
/
manage-loans
/
{customerId}
Manage Loans
Returns details of loans that are currently active and may require repayment management.
Request Headers
string
required
The JWT Access Token obtained from the
/login or /refresh-token endpoint.string
required
Unique idempotency key for the request to prevent duplicate processing.
string
required
The date and time at which the request was initiated (ISO 8601 format).
string
required
The IP address of the customer making the request.
string
required
Unique identifier for the interaction/session.
Path Parameters
string
required
The unique identifier of the customer.
Path Parameters
Response
200
Active loans retrieved
